ISCONTROL(8)

NAME
iscontrol - login/negotiator/control for an iSCSI initiator session

SYNOPSIS
iscontrol [-dv] [ -c file [-n nickname]] [-p pidfile] [-t target] [variable=value]

DESCRIPTION
Internet SCSI (iSCSI) is a network protocol standard, that allows the use of the SCSI protocol over TCP/IP networks, the iscontrol program is the userland side of an iSCSI session, see iscsi_initiator(4). It has 2 modes of operation, if -d (discovery session) is specified, it will print out the target names returned by the target and exit. In the second mode, it will, after a successful login/negotiation, run in daemon mode, monitoring the connection, and will try to reconnect in case of a network/target failure. It will terminate/logout the session when a SIGHUP signal is received. The flags are as follows:

-c file
    a file containing configuration key-options, see iscsi.conf(5).

-d  do a discovery session and exit.

-n nickname
    if -c file is specified, then search for the block named nickname in that file, see iscsi.conf(5).

-p pidfile
    will write the process ID of the session to the specified pidfile

-t target
    the target's IP address or name.

-v  verbose mode.

variable=value
    see iscsi.conf(5) for the complete list of variables/options and their possible values.

EXAMPLES
    iscontrol -dt myiscsitarget

will start a discovery session with the target and print to stdout the list of available targetnames/targetadresses. Note: this listing does not necessarily mean availability, since depending on the target configuration, a discovery session might not need login/access permission, but a full session certainly does.

    iscontrol -c /etc/iscsi.conf -n myiscsi

will read options from /etc/iscsi.conf, use the targetaddress found in the block nicknamed myiscsi, login and negotiate whatever options are specified, and start an iscsi-session.

SEE ALSO
da(4), iscsi_initiator(4), sa(4), iscsi.conf(5), camcontrol(8)

STANDARDS
RFC 3720

BUGS
iscontrol should probably load the iscsi_initiator module if needed.
Not all functions/specifications have been implemented yet, noticeably missing are the Task Management Functions. The error recovery, though not fully compliant does a brave effort to recover from network disconnects.